Bug 1032291 - Weird behaviour in extension handling when locking screen
Weird behaviour in extension handling when locking screen
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: gnome-shell (Show other bugs)
19
x86_64 Linux
unspecified Severity low
: ---
: ---
Assigned To: Owen Taylor
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-19 17:50 EST by fropeter
Modified: 2015-02-17 14:18 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 14:18:44 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description fropeter 2013-11-19 17:50:13 EST
Description of problem:
When locking the screen, at least one extension is disabled and enabled multiple times before the screen is locked, creating numerous notifications regarding the status of connected hardware. This is not observed by the extension author on Ubuntu. 

This bugreport is entered at the extension's author's request.
The author says that this is outside any extension's control, and thus in gnome shell itself. A test extension was created that seems to confirm this.

Please see the discussion at the extension's issue tracker:

https://github.com/orangeshirt/gnome-shell-extension-touchpad-indicator/issues/30

Version-Release number of selected component (if applicable):
Fedora 19, Gnome shell 3.8.4
Extension: touchpad-indicator version 18

How reproducible:
Every time the screen is locked and the extension is enabled

Steps to Reproduce with extension:
1. Enable extension, 
2. set it to show notifications, and automatically switch touchpad on/off
3. plug in a usb mouse 
4. lock screen (e.g. through the main menu)
5. Observe delay in locking the screen
6. Observe message about numerous notifications created
7. unlock screen
8. Observe all message showing, one by one, reading 
    "Mouse plugged in - touchpad disabled", (some possibly the reverse)


Actual results:
Notifications about hardware availability generated when locking screen

Expected results:
Notifications about hardware availability should not be generated when locking screen

Additional info:
Comment 1 Fedora End Of Life 2015-01-09 15:38:18 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 2 Fedora End Of Life 2015-02-17 14:18:44 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.